import request from '@/utils/request'

//机具类型管理列表信息
export function getListNewBuy(query) {
  return request({
      url: '/material/purchase_check_info/list',
      method: 'get',
      params: query,
  })
}

//任务 详情
export function getPurchaseCheckInfo(id) {
  return request({
      url: '/material/purchase_check_info/'+ id,
      method: 'get',
  })
}

// 保存--新增
export function addPurchaseCheckInfo(data) {
  return request({
      url: '/material/purchase_check_info',
      method: 'post',
      data: data,
  })
}

//人员 详情
export function getNoticePeople(query) {
  return request({
      url: '/material/purchase_notice_person/list',
      method: 'get',
      params: query,
  })
}

// 人员--删除
export function delPeople(ids) {
  return request({
      url: '/material/purchase_notice_person/' + ids,
      method: 'delete',
  })
}



// 人员管理--新增
export function addNoticeUser(data) {
  return request({
      url: '/material/purchase_notice_person/batchAddNoticePerson',
      method: 'post',
      data: data,
  })
}

// 仓库管理--修改
export function bmNoticeInfo(data) {
  return request({
      url: '/material/purchase_notice_person/batchSendSms',
      method: 'put',
      data: data,
  })
}


//机具类型管理列表信息
export function getUserAll() {
  return request({
      url: '/system/user/list',
      method: 'get',
  })
}

//获取机具类型树2
export function equipmentTypeTree(query) {
  return request({
      url: '/material/ma_type/equipmentType',
      method: 'get',
      params: query,
  })
}

//查看机具类型管理列表详细信息
export function getHouseDetail(id) {
  return request({
      url: '/material/wh_house_info/'+ id,
      method: 'get',
  })
}


// 物资名称下拉框-
export function queryKeeperNameApi(query) {
  return request({
    url: '/material/ma_type/selectMaTypeListByTypeId',
    method: 'get',
    params: query
  })
}



// 仓库管理--删除
export function delHouse(id) {
  return request({
      url: '/material/wh_house_info/' + id,
      method: 'delete',
  })
}

// 仓库管理--修改
export function editHouse(data) {
  return request({
      url: '/material/wh_house_info',
      method: 'put',
      data: data,
  })
}

// 仓库管理--新增
export function addHouse(data) {
  return request({
      url: '/material/wh_house_info',
      method: 'post',
      data: data,
  })
}

// 工程项目-列表
export function getProjectList(query) {
  return request({
    url: '/material/base/bmProjectInfo/projectInfoAll',
    method: 'get',
    params: query
  })
}

